
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Chiran.Lotropad.Class";
import "Chiran.Lotropad.ToggleWindow";
import "Chiran.Lotropad.LotropadLang";
import "Chiran.Lotropad";

lotropadWindow = Chiran.Lotropad.LotropadWindow(); -- Main window
toggleWindow = Chiran.Lotropad.ToggleWindow(); -- Window for the toggle button

if (Settings.WindowVisible == "yes") then
	lotropadWindow:SetVisible( true );
else 
	lotropadWindow:SetVisible( false );
end

if (Settings.ToggleVisible == "yes") then
	toggleWindow:SetVisible( true );
else 
	toggleWindow:SetVisible( false );
end

lotropadCommand = Turbine.ShellCommand();

function lotropadCommand:Execute(cmd, args)
	if ( args == Strings["sh_show"] ) then
		lotropadWindow:SetVisible( true );
	elseif ( args == Strings["sh_hide"] ) then
		lotropadWindow:SetVisible( false );
	elseif ( args == Strings["sh_toggle"] ) then
		lotropadWindow:SetVisible( not lotropadWindow:IsVisible() );
	elseif ( args ~= nil ) then
		lotropadCommand:GetHelp();
	end
end

function lotropadCommand:GetHelp()
	Turbine.Shell.WriteLine( Strings["sh_help1"]);
	Turbine.Shell.WriteLine( Strings["sh_help2"]);
	Turbine.Shell.WriteLine( Strings["sh_help3"]);
end

Turbine.Shell.AddCommand( "lotropad", lotropadCommand );