ToggleWindow = class( Turbine.UI.Window );

function ToggleWindow:Constructor()
	Turbine.UI.Window.Constructor( self );
	
	-- legacy fix
	if not (Settings.ToggleVisible) then
		Settings.ToggleVisible = "yes";		
		Settings.ToggleLeft = tostring(Turbine.UI.Display.GetWidth()-55);
		Settings.ToggleTop = "270";
	end	
	
	self:SetPosition( Settings.ToggleLeft, Settings.ToggleTop );
	self:SetSize(35,35);
	self:SetZOrder(70);	
	self:SetVisible( true );
	
	self.button = Turbine.UI.Control();
	self.button:SetParent(self);
	self.button:SetPosition(0,0);
	self.button:SetSize(35,35);
	self.button:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.button:SetBackground("Chiran/Lotropad/toggle.tga");

	self.button.MouseEnter = function(sender,args)
		self.button:SetBackground("Chiran/Lotropad/toggle_hover.tga");
	end
	self.button.MouseLeave = function(sender,args)
		self.button:SetBackground("Chiran/Lotropad/toggle.tga");
	end		
	self.button.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
			self:SetBackColor( Turbine.UI.Color(0,0,1,0) );
		end
	end
	self.button.MouseUp = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			if (sender.dragging) then
				sender.dragging = false;
			end
			if not sender.dragged then
				lotropadWindow:SetVisible( not lotropadWindow:IsVisible() );
			end
			self:SetBackColor( Turbine.UI.Color(0,0,0,0) );
		end
		if(args.Button == Turbine.UI.MouseButton.Right) then
			if lotropadWindow:IsVisible() then
				lotropadWindow:ToggleMinimode(0);
			end
		end		
	end
	self.button.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender:SetPosition( 0, 0 );
			sender.dragged = true;
		end
	end

end
